#pywake and foxes
wind_deficit_model:
  name: Bastankhah2014
  wake_expansion_coefficient: # k = ka*ti + kb
    k_a: 0.00
    k_b: 0.04
    free_stream_ti: false
  ceps: 0.2
  use_effective_ws: true
turbulence_model:
  name: CrespoHernandez
axial_induction_model: 1D
deflection_model:
  name: None
superposition_model:
  ws_superposition: Linear
  ti_superposition: Squared
blockage_model:
  name: None
rotor_averaging:
  grid: grid
  n_x_grid_points: 4
  n_y_grid_points: 4
  background_averaging: center
  wake_averaging: center
  wind_speed_exponent_for_power: 3
  wind_speed_exponent_for_ct: 2

wake_tool: "foxes"

# saturne
run_type: "simulate" #"postprocess"
#
HPC_config:
  run_node_number: 5
  run_ntasks_per_node: 48
  run_wall_time_hours: 6
  run_partition: "p1"
  #
  mesh_node_number: 2
  mesh_ntasks_per_node: 48
  mesh_wall_time_hours: 1
  run_partition: "p2"

mesh:
  remesh: True
  mesh_file_name: MESH/toy_mesh.med
